[Opensrf-commits] r1410 - branches/sboyette

svn at svn.open-ils.org svn at svn.open-ils.org
Mon Aug 11 15:32:53 EDT 2008


Author: sboyette
Date: 2008-08-11 15:32:50 -0400 (Mon, 11 Aug 2008)
New Revision: 1410

Modified:
   branches/sboyette/autogen.sh
Log:
autogen.sh no longer blithely carries on and tells you to run ./configure even if the entire automake/autotools chain is missing. there's probably more elegant ways to do it, but this works.


Modified: branches/sboyette/autogen.sh
===================================================================
--- branches/sboyette/autogen.sh	2008-08-11 18:44:33 UTC (rev 1409)
+++ branches/sboyette/autogen.sh	2008-08-11 19:32:50 UTC (rev 1410)
@@ -15,6 +15,22 @@
 
 ${AUTOCONF}
 
+SILENT=`which libtoolize aclocal autoheader automake autoconf`
+case "$?" in
+    0 )
+        echo All build tools found.
+        ;;
+    1)
+        echo
+        echo "--------------------------------------------------------------"
+        echo "          >>> Some build tools are missing! <<<"
+        echo Please make sure your system has the GNU autoconf and automake
+        echo toolchains installed.
+        echo "--------------------------------------------------------------"
+        exit
+        ;;
+esac
+
 echo 
 echo "---------------------------------------------"
 echo "autogen finished running, now run ./configure"



More information about the opensrf-commits mailing list